Subject: Re: bug#36127: 26.1, openbsd-6.5; org-9.2.3 package fails to install

From: VanL <[email-masked]>
Date: Fri, 11 Oct 2019 10:43:34 +1100

Stefan Kangas <[email-masked]> writes:

> VanL <[email-masked]> writes:
>
>> > If I say "emacs -Q" and `M-x package-list-packages', I get "org" in the
>> > list, and I can install it.
>>
>> I am able to reproduce the problem after relabelling ~/.emacs.d to
>> ~/__dot__emacs.d and invoking 'emacs -Q' then 'M-x list-packages'.
>>
>> In trying to install org-9.2.3, a question in a dialogue box asks
>> for Yes or No answer to
>>
>>   Buffer " *http elpa.gnu.org:443* has a running process; kill it?"
>>
>> I say Yes and the error message is
>>
>>   Failed to verify signature: "org-9.2.3.tar.sig"
>
> I'm trying to understand this bug, but I'm not sure exactly what is
> happening.  Could you please provide an exact recipe for reproducing
> this, starting from "emacs -Q"?

In the above I report I used M-x list-packages; in the following, I use
M-x package-list-packages

0. mv .emacs.d __dot_emacs_d__
1. emacs -Q
2. M-x package-list-packages

#+BEGIN_EXAMPLE
Failed to verify signature archive-contents.sig:
No public key for 066DAFCB81E42C40 created at 2019-10-11T08:10:02+1100 using RSA
Command output:
gpg: Signature made Fri Oct 11 08:10:02 2019 AEDT
gpg:                using RSA key C433554766D3DDC64221BFAA066DAFCB81E42C40
gpg: Can't check signature: No public key

#+END_EXAMPLE

The version details are:
GNU Emacs 26.1 (build 1, i386-unknown-openbsd, GTK+ Version 3.24.7)
 of 2019-04-15

-----

I muddled my way around using ~/.emacs.d/init.el as follows:

#+BEGIN_EXAMPLE
(package-initialize)

(require 'package)
(add-to-list 'package-archives
	     '("org" . "https://orgmode.org/elpa/"))

(add-to-list 'package-archives
	     '("melpa" . "https://melpa.org/packages/"))

#+END_EXAMPLE